def-type
Prev | Declarations | Next

## Name

def-type — Defines a Common Lisp type. Macro

## Syntax

    	def-type name type

## Arguments and Values

`name`

  A symbol naming the type

`type`

  A form that specifies the UFFI type. It is not evaluated.

## Description

Defines a Common Lisp type based on a UFFI type.

## Examples

    (def-type char-ptr '(* :char))
    ...
    (defun foo (ptr)
    (declare (type char-ptr ptr))
    ...

## Side Effects

Defines a new ANSI Common Lisp type.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
Declarations | Home | Primitive Types